GH-AUTH-STATUS(1)

NAME
gh-auth-status - Display active account and authentication state on each known GitHub host

SYNOPSIS
gh auth status [flags]

DESCRIPTION
Display active account and authentication state on each known GitHub host.

For each host, the authentication state of each known account is tested and any issues are included in the output. Each host section will indicate the active account, which will be used when targeting that host. If an account on any host (or only the one given via --hostname) has authentication issues, the command will exit with 1 and output to stderr.

To change the active account for a host, see gh auth switch.

OPTIONS

-a, --active
    Display the active account only

-h, --hostname <string>
    Check only a specific hostname's auth status

-t, --show-token
    Display the auth token

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

SEE ALSO
gh-auth(1)